CGAL 6.1.2 - 3D Constrained Triangulations: Other Functions

CGAL 6.1.2 - 3D Constrained Triangulations

Loading...
Searching...
No Matches
Functions
Other Functions
Reference Manual

##

## Functions
template<typename Traits , typename Tr , typename NamedParameters = CGAL::parameters::Default_named_parameters>
auto | CGAL::Tetrahedral_remeshing::get_remeshing_triangulation (Conforming_constrained_Delaunay_triangulation_3< Traits, Tr > ccdt, const NamedParameters &np=parameters::default_values()) -> CGAL::Triangulation_3< Traits, typename Conforming_constrained_Delaunay_triangulation_3< Traits, Tr >::Triangulation::Triangulation_data_structure >
| creates a triangulation that can be used for tetrahedral remeshing.

## Function Documentation

## ◆ get_remeshing_triangulation()

template<typename Traits , typename Tr , typename NamedParameters = CGAL::parameters::Default_named_parameters>

auto CGAL::Tetrahedral_remeshing::get_remeshing_triangulation | ( | Conforming_constrained_Delaunay_triangulation_3< Traits, Tr > | ccdt,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  | -> CGAL::Triangulation_3<Traits, typename Conforming_constrained_Delaunay_triangulation_3<Traits, Tr>::Triangulation:: Triangulation_data_structure>

`#include <CGAL/Conforming_constrained_Delaunay_triangulation_3.h>`

creates a triangulation that can be used for tetrahedral remeshing.

The vertex and cell base classes of the triangulation `ccdt` must be models of `RemeshingVertexBase_3` and `RemeshingCellBase_3` respectively.

This function sets the attributes of the vertices and cells of the triangulation, models of `RemeshingVertexBase_3` and `RemeshingCellBase_3`, according to the values of the corresponding attributes of the vertices and cells of `ccdt`.

Then it returns `std::move(ccdt).triangulation()`.

Note
  The parameter `ccdt` is passed by copy. You can pass it an rvalue-reference to avoid that copy. See the example Constrained_triangulation_3/remesh_constrained_Delaunay_triangulation_3.cpp.

Template Parameters

  Traits | is the geometric traits class of `ccdt`
  Tr | is the type of triangulation to which `ccdt` is converted (or `CGAL::Default`).
  NamedParameters | a sequence of Named Parameters

Parameters

  ccdt | the triangulation to be converted
  np | optional sequence of Named Parameters among the ones listed below

Optional Named Parameters

  a property map containing the constrained-or-not status of each edge `e` of `ccdt.triangulation()`. If the edge `e` is at the boundary of an input PLC face (defined by an input face or via the named parameter `plc_face_id`) then the corresponding value in the property map is `true`. Otherwise, the value is `false`. Type: a class model of `ReadWritePropertyMap` with `std::pair<Vertex_handle, Vertex_handle>` (where `Vertex_handle` is the vertex handle type of `ccdt.triangulation()`) as key type and `bool` as value type. It must be default constructible. Default: a default property map where no edge is constrained |

Returns
  a triangulation of type `CGAL::Triangulation_3` that can be used for tetrahedral remeshing